Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLTextAreaElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLTextAreaElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, Element, EventTarget, HTMLElement, HTMLFormControl, HTMLTextAreaElement, Node, NodeList, java.io.Serializable

public final class HTMLTextAreaElementImpl
extends HTMLElementImpl
implements HTMLTextAreaElement, HTMLFormControl

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:13 $
See Also:
  `HTMLTextAreaElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLTextAreaElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`void` | `blur()` Removes keyboard focus from this element.
`void` | `focus()` Gives keyboard focus to this element.
`java.lang.String` | `getAccessKey()` A single character access key to give access to the form control.
`int` | `getCols()` Width of control (in characters).
`java.lang.String` | `getDefaultValue()` Represents the contents of the element.
`boolean` | `getDisabled()` The control is unavailable in this context.
`java.lang.String` | `getName()` Form control or object name when submitted with a form.
`boolean` | `getReadOnly()` This control is read-only.
`int` | `getRows()` Number of text rows.
`int` | `getTabIndex()` Index that represents the element's position in the tabbing order.
`java.lang.String` | `getType()` The type of this form control.
`java.lang.String` | `getValue()` Represents the current contents of the corresponding form control, in an interactive user agent.
`void` | `select()` Select the contents of the `TEXTAREA` .
`void` | `setAccessKey(java.lang.String accessKey)`
`void` | `setCols(int cols)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setDisabled(boolean disabled)`
`void` | `setName(java.lang.String name)`
`void` | `setReadOnly(boolean readOnly)`
`void` | `setRows(int rows)`
`void` | `setTabIndex(int tabIndex)`
`void` | `setValue(java.lang.String value)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.html.HTMLTextAreaElement
`getForm`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Constructor Detail

### HTMLTextAreaElementImpl

    public HTMLTextAreaElementImpl(HTMLDocumentImpl owner,
                                   java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getDefaultValue

    public java.lang.String getDefaultValue()

  Description copied from interface: `HTMLTextAreaElement`
  Represents the contents of the element. The value of this attribute does not change if the contents of the corresponding form control, in an interactive user agent, changes. Changing this attribute, however, resets the contents of the form control.
  Specified by:
    `getDefaultValue` in interface `HTMLTextAreaElement`

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

  Specified by:
    `setDefaultValue` in interface `HTMLTextAreaElement`

### getAccessKey

    public java.lang.String getAccessKey()

  Description copied from interface: `HTMLTextAreaElement`
  A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.
  Specified by:
    `getAccessKey` in interface `HTMLTextAreaElement`

### setAccessKey

    public void setAccessKey(java.lang.String accessKey)

  Specified by:
    `setAccessKey` in interface `HTMLTextAreaElement`

### getCols

    public int getCols()

  Description copied from interface: `HTMLTextAreaElement`
  Width of control (in characters). See the cols attribute definition in HTML 4.0.
  Specified by:
    `getCols` in interface `HTMLTextAreaElement`

### setCols

    public void setCols(int cols)

  Specified by:
    `setCols` in interface `HTMLTextAreaElement`

### getDisabled

    public boolean getDisabled()

  Description copied from interface: `HTMLTextAreaElement`
  The control is unavailable in this context. See the disabled attribute definition in HTML 4.0.
  Specified by:
    `getDisabled` in interface `HTMLTextAreaElement`

### setDisabled

    public void setDisabled(boolean disabled)

  Specified by:
    `setDisabled` in interface `HTMLTextAreaElement`

### getName

    public java.lang.String getName()

  Description copied from interface: `HTMLTextAreaElement`
  Form control or object name when submitted with a form. See the name attribute definition in HTML 4.0.
  Specified by:
    `getName` in interface `HTMLTextAreaElement`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `HTMLTextAreaElement`

### getReadOnly

    public boolean getReadOnly()

  Description copied from interface: `HTMLTextAreaElement`
  This control is read-only. See the readonly attribute definition in HTML 4.0.
  Specified by:
    `getReadOnly` in interface `HTMLTextAreaElement`
  Overrides:
    `getReadOnly` in class `NodeImpl`

### setReadOnly

    public void setReadOnly(boolean readOnly)

  Specified by:
    `setReadOnly` in interface `HTMLTextAreaElement`

### getRows

    public int getRows()

  Description copied from interface: `HTMLTextAreaElement`
  Number of text rows. See the rows attribute definition in HTML 4.0.
  Specified by:
    `getRows` in interface `HTMLTextAreaElement`

### setRows

    public void setRows(int rows)

  Specified by:
    `setRows` in interface `HTMLTextAreaElement`

### getTabIndex

    public int getTabIndex()

  Description copied from interface: `HTMLTextAreaElement`
  Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.
  Specified by:
    `getTabIndex` in interface `HTMLTextAreaElement`

### setTabIndex

    public void setTabIndex(int tabIndex)

  Specified by:
    `setTabIndex` in interface `HTMLTextAreaElement`

### getType

    public java.lang.String getType()

  Description copied from interface: `HTMLTextAreaElement`
  The type of this form control. This the string "textarea".
  Specified by:
    `getType` in interface `HTMLTextAreaElement`

### getValue

    public java.lang.String getValue()

  Description copied from interface: `HTMLTextAreaElement`
  Represents the current contents of the corresponding form control, in an interactive user agent. Changing this attribute changes the contents of the form control, but does not change the contents of the element. If the entirety of the data can not fit into a single `DOMString` , the implementation may truncate the data.
  Specified by:
    `getValue` in interface `HTMLTextAreaElement`

### setValue

    public void setValue(java.lang.String value)

  Specified by:
    `setValue` in interface `HTMLTextAreaElement`

### blur

    public void blur()

  Description copied from interface: `HTMLTextAreaElement`
  Removes keyboard focus from this element.
  Specified by:
    `blur` in interface `HTMLTextAreaElement`

### focus

    public void focus()

  Description copied from interface: `HTMLTextAreaElement`
  Gives keyboard focus to this element.
  Specified by:
    `focus` in interface `HTMLTextAreaElement`

### select

    public void select()

  Description copied from interface: `HTMLTextAreaElement`
  Select the contents of the `TEXTAREA` .
  Specified by:
    `select` in interface `HTMLTextAreaElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 1.2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD